Public Member Functions | Public Attributes | List of all members
ZWrtTextInternal::HFZone Struct Reference

Internal: struct used to store a header/footer of a ZWrtText. More...

## Public Member Functions
| HFZone ()
| constructor More...
bool | ok () const
| returns true if the zone is not empty More...
std::string | getDebugString (MWAWFontConverterPtr &convert) const
| operator<< More...

## Public Attributes
MWAWEntry | m_pos
| the text position More...
Font | m_font
| the font More...
std::string | m_extra
| extra data More...

## Detailed Description

Internal: struct used to store a header/footer of a ZWrtText.

## Constructor & Destructor Documentation

## ◆ HFZone()

ZWrtTextInternal::HFZone::HFZone | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ getDebugString()

std::string ZWrtTextInternal::HFZone::getDebugString | ( | MWAWFontConverterPtr & | convert | ) | const
| inline

operator<<

## ◆ ok()

bool ZWrtTextInternal::HFZone::ok | ( |  | ) | const
| inline

returns true if the zone is not empty

## Member Data Documentation

## ◆ m_extra

std::string ZWrtTextInternal::HFZone::m_extra

extra data

## ◆ m_font

Font ZWrtTextInternal::HFZone::m_font

the font

## ◆ m_pos

MWAWEntry ZWrtTextInternal::HFZone::m_pos

the text position

The documentation for this struct was generated from the following file:

- ZWrtText.cxx